# frozen_string_literal: true

require_relative "lib/strum/json/version"

Gem::Specification.new do |spec|
  spec.name          = "strum-json"
  spec.version       = Strum::Json::VERSION
  spec.authors       = ["Serhiy Nazarov"]
  spec.email         = ["sn@nazarov.com.ua"]

  spec.summary       = "Serialize and deserialize json"
  spec.description   = "Serialize and deserialize json"
  spec.homepage      = "https://gitlab.com/strum-rb/strum-json"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.6.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://gitlab.com/strum-rb/strum-json"
  spec.metadata["changelog_uri"] = "https://gitlab.com/strum-rb/strum-json/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "dry-inflector", "~> 0.2.0"
  spec.add_runtime_dependency "json", "~> 2.3"
  spec.add_runtime_dependency "json-schema", "~> 2.8.1"
  spec.add_runtime_dependency "strum-service", "~> 0.1"
end
